| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CPacketDispatcher Class Reference

`#include <AAX_CPacketDispatcher.h>`

## Description

Helper class for managing AAX packet posting.

This optional class can be used to associate individual parameters with custom update callbacks. The update callbacks for all "dirty" parameters are triggered whenever AAX_CPacketDispatcher::Dispatch() is called. The resulting coefficient data is then posted to the AAX_IController automatically by the packet dispatcher.

The packet dispatcher supports many-to-one relationships between parameters and handler callbacks, so a single callback may be registered for several related parameters.

See also
  AAX_CEffectParameters::EffectInit()

## Public Member Functions
| AAX_CPacketDispatcher ()
| ~AAX_CPacketDispatcher ()
void | Initialize (AAX_IController *iPlugIn, AAX_IEffectParameters *iEffectParameters)
AAX_Result | RegisterPacket (AAX_CParamID paramID, AAX_CFieldIndex portID, const AAX_IPacketHandler *iHandler)
template<class TWorker , typename Func >
AAX_Result | RegisterPacket (AAX_CParamID paramID, AAX_CFieldIndex portID, TWorker *iPt2Object, Func infPt)
AAX_Result | RegisterPacket (AAX_CParamID paramID, AAX_CFieldIndex portID)
AAX_Result | SetDirty (AAX_CParamID paramID, bool iDirty=true)
AAX_Result | Dispatch ()
AAX_Result | GenerateSingleValuePacket (AAX_CParamID iParam, AAX_CPacket &ioPacket)

## Constructor & Destructor Documentation

## ◆ AAX_CPacketDispatcher()

AAX_CPacketDispatcher::AAX_CPacketDispatcher | ( |  | ) |

## ◆ ~AAX_CPacketDispatcher()

AAX_CPacketDispatcher::~AAX_CPacketDispatcher | ( |  | ) |

## Member Function Documentation

## ◆ Initialize()

void AAX_CPacketDispatcher::Initialize | ( | AAX_IController * | iPlugIn,
|  | AAX_IEffectParameters * | iEffectParameters
| ) |  |

## ◆ RegisterPacket() [1/3]

AAX_Result AAX_CPacketDispatcher::RegisterPacket | ( | AAX_CParamID | paramID,
|  | AAX_CFieldIndex | portID,
|  | const AAX_IPacketHandler * | iHandler
| ) |  |

Referenced by RegisterPacket().

Here is the caller graph for this function:

## ◆ RegisterPacket() [2/3]

template<class TWorker , typename Func >

AAX_Result AAX_CPacketDispatcher::RegisterPacket | ( | AAX_CParamID | paramID,
|  | AAX_CFieldIndex | portID,
|  | TWorker * | iPt2Object,
|  | Func | infPt
| ) |  |
| inline

References RegisterPacket().

Here is the call graph for this function:

## ◆ RegisterPacket() [3/3]

AAX_Result AAX_CPacketDispatcher::RegisterPacket | ( | AAX_CParamID | paramID,
|  | AAX_CFieldIndex | portID
| ) |  |
| inline

References GenerateSingleValuePacket(), and RegisterPacket().

Here is the call graph for this function:

## ◆ SetDirty()

AAX_Result AAX_CPacketDispatcher::SetDirty | ( | AAX_CParamID | paramID,
|  | bool | iDirty = `true`
| ) |  |

## ◆ Dispatch()

AAX_Result AAX_CPacketDispatcher::Dispatch | ( |  | ) |

## ◆ GenerateSingleValuePacket()

AAX_Result AAX_CPacketDispatcher::GenerateSingleValuePacket | ( | AAX_CParamID | iParam,
|  | AAX_CPacket & | ioPacket
| ) |  |

Referenced by RegisterPacket().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- AAX_CPacketDispatcher.h